D4Science Infrastructure - Task #2122

enable external and internal authentication on mongodb
Feb 03, 2016 03:46 PM - Roberto Cirillo

Status: Closed Start date: Feb 03, 2016
Priority: Normal Due date:

Assignee: Roberto Cirillo % Done: 100%
Category: Data Management Estimated time: 0.00 hour
Target version: upgrade mongodb to version 3.0

Infrastructure: Production

Description

This task should be performed after the mongodb upgrade to version 3.0.
The internal authentication is based on keyfile while the external authentication is based on user and password credentials

Related issues:

Related to D4Science Infrastructure - Task #2121: upgrade cluster mongodb to ... Closed Feb 03,2016 Feb 08,2016
Blocked by D4Science Infrastructure - Task #2487: MongoDB: change authrnticat... Closed Mar 07, 2016

Blocked by D4Science Infrastructure - Task #2123: Edit the Storage-manager se... Closed Feb 03, 2016

History

#1 - Feb 03, 2016 03:46 PM - Roberto Cirillo
- Related to Task #2121: upgrade cluster mongodb to version 3.0 added

#2 - Feb 03, 2016 03:54 PM - Roberto Cirillo
- Related to Task #2123: Edit the Storage-manager service endpoint added

#3 - Feb 24, 2016 12:34 PM - Roberto Cirillo

This activity has not been performed for an incompatibility between storage-manager-core library and the MongoDB authentication system.

The storage-manager library use an authentication system named "MongoCR". This system has been the default MongoDB authentication system for
all versions before Mongodb 3.0 , with 3.0 version, the default authentication system has been changed in "SCHRAM-SHA1". For restoring the
compatibility from storage library and MongoDB server, | should change the credential system in the client. This activity will be done asap.

Unfortunately, this issue wasn't verified in dev because the mongodb users in dev environment was created before the upgrade to version 3.0 and, in
this case, the default authentication system was MongoCR that was compatible with storage library.

#4 - Mar 07, 2016 12:31 PM - Roberto Cirillo
- Blocked by Task #2487: MongoDB: change authrntication schema to MONGODB-CR added

#5 - Mar 07, 2016 12:32 PM - Roberto Cirillo
- Related to deleted (Task #2123: Edit the Storage-manager service endpoint)

#6 - Mar 07, 2016 12:32 PM - Roberto Cirillo
- Blocked by Task #2123: Edit the Storage-manager service endpoint added

#7 - Mar 21, 2016 12:08 PM - Roberto Cirillo
- Status changed from New to In Progress

- % Done changed from 0 to 100

#8 - Mar 21, 2016 12:08 PM - Roberto Cirillo

- Status changed from In Progress to Closed

Dec 15, 2025 1/1



http://www.tcpdf.org

